"use strict";

var _Object$keys = require("babel-runtime/core-js/object/keys")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = associate;

function associate() {
  var models = arguments[0] === undefined ? {} : arguments[0];

  // Iterate over models
  _Object$keys(models).forEach(function (source) {
    var _models$source$options$relationships = models[source].options.relationships;
    var relationships = _models$source$options$relationships === undefined ? [] : _models$source$options$relationships;

    // Create model relationships
    relationships.forEach(function (_ref) {
      var relationship = _ref.relationship;
      var target = _ref.target;
      var options = _ref.options;
      return models[source][relationship](models[target], options);
    });
  });
}

module.exports = exports["default"];