'use strict';

var _toConsumableArray = require('babel-runtime/helpers/to-consumable-array')['default'];

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports['default'] = belongsTo;

function belongsTo(target) {
  var options = arguments[1] === undefined ? {} : arguments[1];

  // Return decorated Model
  return function (Model) {

    // Store relationships in Model
    Model.relationships = [].concat(_toConsumableArray(Model.relationships || []), [{ relationship: 'belongsTo', target: target, options: options }]);

    return Model;
  };
}

module.exports = exports['default'];