/**
 * Relationships
 */
'use strict';

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default')['default'];

Object.defineProperty(exports, '__esModule', {
  value: true
});

var _associate2 = require('./associate');

var _associate3 = _interopRequireDefault(_associate2);

exports.associate = _associate3['default'];

var _decoratorsBelongsTo = require('./decorators/belongsTo');

var _decoratorsBelongsTo2 = _interopRequireDefault(_decoratorsBelongsTo);

exports.belongsTo = _decoratorsBelongsTo2['default'];

var _decoratorsBelongsToMany = require('./decorators/belongsToMany');

var _decoratorsBelongsToMany2 = _interopRequireDefault(_decoratorsBelongsToMany);

exports.belongsToMany = _decoratorsBelongsToMany2['default'];

var _decoratorsHasOne = require('./decorators/hasOne');

var _decoratorsHasOne2 = _interopRequireDefault(_decoratorsHasOne);

exports.hasOne = _decoratorsHasOne2['default'];

var _decoratorsHasMany = require('./decorators/hasMany');

var _decoratorsHasMany2 = _interopRequireDefault(_decoratorsHasMany);

exports.hasMany = _decoratorsHasMany2['default'];

/**
 * Model definitions
 */

var _decoratorsModel = require('./decorators/model');

var _decoratorsModel2 = _interopRequireDefault(_decoratorsModel);

exports.model = _decoratorsModel2['default'];

/**
 * Sequelize shortcuts
 */

var _sequelize = require('sequelize');

var _sequelize2 = _interopRequireDefault(_sequelize);

exports.Sequelize = _sequelize2['default'];

var _sequelizeLibDataTypes = require('sequelize/lib/data-types');

var _sequelizeLibDataTypes2 = _interopRequireDefault(_sequelizeLibDataTypes);

exports.DataTypes = _sequelizeLibDataTypes2['default'];